package cn.com.ctop.kuaishou.modules.dimension.service;

import cn.com.ctop.kuaishou.modules.dimension.entity.KuaiShouDimensionCreative;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 多维度测试关联创意
 *
 * @author jeecg-boot
 * 2021-07-22
 * @version V1.0
 */
public interface IKuaiShouDimensionCreativeService extends IService<KuaiShouDimensionCreative> {

    void addBatch(List<KuaiShouDimensionCreative> addList);

    void createCreative(Long accountId, String accessToken, String id, Long unit);

    void againCreateCreative(Long accountId, String accessToken);

    List<Long> getAccountList();

    void removeByUnitTableIds(List<String> strings);
}
